"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addScreenShareRemoteIceCandidate = addScreenShareRemoteIceCandidate;
exports.createScreenShareOffer = createScreenShareOffer;
exports.initializeScreenShare = initializeScreenShare;
exports.setScreenShareRemoteSDP = setScreenShareRemoteSDP;
exports.stopScreenShareBroadcastExtension = stopScreenShareBroadcastExtension;

var _reactNative = require("react-native");

const ScreenShareService = _reactNative.NativeModules.BBBN_ScreenShareService;

function initializeScreenShare() {
  ScreenShareService.initializeScreenShare();
}

function createScreenShareOffer() {
  ScreenShareService.createScreenShareOffer();
}

function setScreenShareRemoteSDP(remoteSDP) {
  ScreenShareService.setScreenShareRemoteSDP(remoteSDP);
}

function addScreenShareRemoteIceCandidate(remoteCandidateJson) {
  ScreenShareService.addScreenShareRemoteIceCandidate(remoteCandidateJson);
}

function stopScreenShareBroadcastExtension() {
  ScreenShareService.stopScreenShareBroadcastExtension();
}
//# sourceMappingURL=BBBN_ScreenShareService.js.map